/*
 * Copyright 2012 Sebastian Mihai
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/*
 * manager.h
 *
 *  Top level module in the game. Handles GAME and MENU states.
 *
 *  Created on: 2012-08-13
 *      Author: Sebastian Mihai
 */

#ifndef MANAGER_H_
#define MANAGER_H_

int initialize_game_manager();

// called every frame by the main code
void manager_run_frame();

void manager_terminate();

void manager_handle_screen_event( bps_event_t *event );

#endif /* MANAGER_H_ */
